CVE-2018-7191

NameCVE-2018-7191
DescriptionIn the tun subsystem in the Linux kernel before 4.13.14, dev_get_valid_name is not called before register_netdevice. This allows local users to cause a denial of service (NULL pointer dereference and panic) via an ioctl(TUNSETIFF) call with a dev name containing a / character. This is similar to CVE-2013-4343.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
linux (PTS)jessie3.16.56-1+deb8u1fixed
jessie (security)3.16.81-1fixed
stretch4.9.210-1fixed
stretch (security)4.9.189-3+deb9u2fixed
buster4.19.98-1fixed
buster (security)4.19.67-2+deb10u2fixed
bullseye, sid5.4.19-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
linuxsource(unstable)4.14.2-1
linuxsourcejessie3.16.56-1+deb8u1
linuxsourcestretch4.9.65-1

Notes

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1743792
https://git.kernel.org/linus/0ad646c81b2182f7fa67ec0c8c825e0ee165696d
https://git.kernel.org/linus/5c25f65fd1e42685f7ccd80e0621829c105785d9

Search for package or bug name: Reporting problems